holidays:
  # @attrib https://es.m.wikipedia.org/wiki/Calendario_laboral
  # @source https://www.boe.es/boe/dias/2018/10/20/pdfs/BOE-A-2018-14369.pdf
  # @source https://www.boe.es/boe/dias/2019/10/11/pdfs/BOE-A-2019-14552.pdf
  # @source https://www.boe.es/boe/dias/2020/11/02/pdfs/BOE-A-2020-13343.pdf
  ES:
    names:
      es: España
      en: Spain
    langs:
      - es
    zones:
      - Europe/Madrid
      - Africa/Ceuta
      - Atlantic/Canary
    days:
      01-01:
        _name: 01-01
      substitutes 01-01 if sunday then next monday:
        type: observance
        substitute: true
        _name: 01-01
      01-06:
        _name: 01-06
      substitutes 01-06 if sunday then next monday:
        type: observance
        substitute: true
        _name: 01-06
      03-19:
        _name: 03-19
        type: observance
      easter -3:
        _name: easter -3
        type: observance
      easter -2:
        _name: easter -2
      easter:
        _name: easter
        type: observance
      05-01:
        _name: 05-01
      substitutes 05-01 if sunday then next monday:
        type: observance
        substitute: true
        _name: 05-01
      1st sunday in May:
        _name: Mothers Day
        type: observance
      easter 49:
        _name: easter 49
        type: observance
      07-25:
        name:
          es: Santiago Apostol
        type: observance
        note: regional
      08-15:
        _name: 08-15
      substitutes 08-15 if sunday then next monday:
        substitute: true
        type: observance
        _name: 08-15
      10-12:
        name:
          es: Fiesta Nacional de España
      substitutes 10-12 if sunday then next monday:
        substitute: true
        type: observance
        name:
          es: Fiesta Nacional de España
      11-01:
        _name: 11-01
      substitutes 11-01 if sunday then next monday:
        substitute: true
        type: observance
        _name: 11-01
      12-06:
        name:
          es: Día de la Constitución Española
      substitutes 12-06 if sunday then next monday:
        type: observance
        substitute: true
        name:
          es: Día de la Constitución Española
      12-08:
        _name: 12-08
      substitutes 12-08 if sunday then next monday:
        type: observance
        substitute: true
        _name: 12-08
      12-25:
        _name: 12-25
      substitutes 12-25 if sunday then next monday:
        type: observance
        substitute: true
        _name: 12-25
    states:
      MD:
        name: Comunidad de Madrid
        days:
          05-16:
            name:
              es: San Isidro Labrador
          11-09 if sunday then next monday:
            name:
              es: Nuestra Señora de la Almudena
      AN:
        name: Andalucía
        days:
          02-28:
            name:
              es: Día de Andalucía
      AR:
        name: Aragón
        days:
          04-23 if sunday then next monday:
            name:
              es: Día de Aragón
      # @source: https://ajuntament.barcelona.cat/calendarifestius/ca/
      CT:
        name: Catalonia
        days:
          09-11:
            name:
              es: Diada de Catalunya
          06-24:
            name:
              es: Sant Joan
          09-24 if sunday then next monday:
            name:
              es: Mare de Déu de la Mercè
          12-26:
            name:
              es: Sant Esteve
      # AS:
      #   name: Asturias
      # CB:
      #   name: Cantabria
      # CE:
      #   name: Ceuta
      # CL:
      #   name: Castile and León
      # CM:
      #   name: Castile-La Mancha
      # CN:
      #   name: Canary Islands
      # EX:
      #   name: Extremadura
      # GA:
      #   name: Galicia
      # IB:
      #   name: Balearic Islands
      # MC:
      #   name: Murcia Region
      # ML:
      #   name: Melilla
      # NC:
      #   name: Navarra Chartered Community
      # PV:
      #   name: Basque Country
      # RI:
      #   name: La Rioja
      # VC:
      #   name: Valencian Community
